/*
 * GetNichDataResult.java
 *
 * Copyright 2014 the Monache.org.
 * http://www.monache.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.monache.nagesen.nich;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * 
 * @author monache.org
 * @since 1.0
 */
public class GetNichDataResult {

	List<NichData> nichDataList = null;

	private String lasyModified = null;
	private long range = 0;
	private int statusCode = 0;

	/**
	 * @return nichDataList
	 * @since 1.0
	 */
	public List<NichData> getNichDataList() {
		return nichDataList;
	}

	/**
	 * @param nichDataList セットする nichDataList
	 * @since 1.0
	 */
	public void setNichDataList(List<NichData> nichDataList) {
		this.nichDataList = nichDataList;
	}

	/**
	 * 
	 * @since 1.0
	 */
	public GetNichDataResult() {
		nichDataList = new ArrayList<NichData>();
	}

	/**
	 * @return lasyModified
	 * @since 1.0
	 */
	public String getLasyModified() {
		return lasyModified;
	}


	/**
	 * @param lasyModified セットする lasyModified
	 * @since 1.0
	 */
	public void setLasyModified(String lasyModified) {
		this.lasyModified = lasyModified;
	}


	/**
	 * @return range
	 * @since 1.0
	 */
	public long getRange() {
		return range;
	}


	/**
	 * @param range セットする range
	 * @since 1.0
	 */
	public void setRange(long range) {
		this.range = range;
	}

	/**
	 * @return statusCode
	 * @since 1.0
	 */
	public int getStatusCode() {
		return statusCode;
	}

	/**
	 * @param statusCode セットする statusCode
	 * @since 1.0
	 */
	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}

}
